Skip to main content
GET
Get a voice
Look up a public voice even if it is not a favorite. The result includes voiceId for synthesis and this workspace’s isFavorite flag. To look up a private voice, use a key in its owning workspace. If you lost the ID, list your workspace voices.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

voiceId
string
required

Official public ID, supported public alias or private ID from this workspace.

Response

Public voice and workspace favorite status, or private voice and current lifecycle status.

voiceId
string
required

Voice ID to use for synthesis across all scopes.

kind
enum<string>
required
Available options:
public
isFavorite
boolean
required

Whether this workspace has saved this public voice.

id
string
required

Normally the same as voiceId. Older saved public voices may have a curated alias here.

name
string
required
status
string
required
models
string[]
required

Speech models enabled for this voice in the GENGEN catalog.

providerVoiceId
string

Underlying voice ID for an older saved public voice. For synthesis use voiceId.

description
string
language
string
accent
string
gender
string
age
string
previewUrl
string | null